%define upstream_name	 Module-Refresh
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Refresh %INC files when the module is updated on disk
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module is a generalization of the functionality provided by
Apache::StatINC. It's designed to make it easy to do simple iterative
development when working in a persistent environment.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml SIGNATURE
%{perl_vendorlib}/Module
%{_mandir}/man3/*

%changelog

* Thu Nov 03 2011 jquelin <jquelin> 0.170.0-1.mga2
+ Revision: 162242
- update to 0.17

* Tue Apr 19 2011 misc <misc> 0.160.0-1.mga1
+ Revision: 88744
- fix BRs

  + jquelin <jquelin>
    - update to 0.16

  + kharec <kharec>
    - little clean in spec

* Wed Apr 13 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 84339
- adding missing buildrequires:
- update to 0.14

* Tue Jan 18 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 22653
- cleaning spec file
- imported package perl-Module-Refresh


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-1mdv2010.0
+ Revision: 406070
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.13-5mdv2009.0
+ Revision: 257902
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.13-4mdv2009.0
+ Revision: 245951
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.13-2mdv2008.1
+ Revision: 171026
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun May 20 2007 Michael Scherer <misc@mandriva.org> 0.13-1mdv2008.0
+ Revision: 28863
- Update to new version 0.13

* Thu May 03 2007 Michael Scherer <misc@mandriva.org> 0.12-1mdv2008.0
+ Revision: 20922
- upgrade to 0.12


* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.09-2mdk
- Fix According to perl Policy
	- Source URL

* Tue Dec 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdk
- New release 0.09
- spec cleanup
- fix directory ownership

* Mon Nov 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.08-1mdk
- 0.08
- Remove empty dirs in package

* Sat Oct 01 2005 Michael Scherer <misc@mandriva.org> 0.06-1mdk
- First mandriva package

